#### D.5.2.1 symm

Procedure from library `chern.lib` (see chern_lib).

Usage:
  symm(l [,n]); l a list of polynomials, n integer

Return:
  list of polynomials

Purpose:
  computes the list of elementary symmetric functions in the entries of l

Note:
  makes sense only for a list of polynomials

Example:

    LIB "chern.lib";
    // elementary symmetric functions in x, y, z:
    ring r = 0, (x, y, z), dp;
    list l=(x, y, z);
    print(symm(l));
    //now let us compute only the first two symmetric polynomials in a(1), ... , a(10)
    ring q= 0,(a(1..10)), dp;
    list l=a(1..10);
    print(symm(l, 2));

User manual for Singular version 4.4.1, 2025, generated by texi2html.